# FoundationClasses
TKernel
Storage

# Storage_IndexedDataMapNodeOfPType Class Reference

`#include <Storage_IndexedDataMapNodeOfPType.hxx>`

Inheritance diagram for Storage_IndexedDataMapNodeOfPType:

[legend]

## Public Member Functions

| Storage_IndexedDataMapNodeOfPType (const TCollection_AsciiString &K1, const Standard_Integer K2, const Standard_Integer &I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
TCollection_AsciiString & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey1
Standard_Integer | myKey2
Standard_Integer | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

Storage_IndexedDataMapNodeOfPType::Storage_IndexedDataMapNodeOfPType | ( | const TCollection_AsciiString & | K1,
|  | const Standard_Integer | K2,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const Storage_IndexedDataMapNodeOfPType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TCollection_AsciiString& Storage_IndexedDataMapNodeOfPType::Key1 | ( |  | ) | const

Standard_Integer& Storage_IndexedDataMapNodeOfPType::Key2 | ( |  | ) | const

TCollection_MapNodePtr& Storage_IndexedDataMapNodeOfPType::Next2 | ( |  | ) | const

Standard_Integer& Storage_IndexedDataMapNodeOfPType::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Storage_IndexedDataMapNodeOfPType::myKey1 `[private]`

Standard_Integer Storage_IndexedDataMapNodeOfPType::myKey2 `[private]`

TCollection_MapNodePtr Storage_IndexedDataMapNodeOfPType::myNext2 `[private]`

Standard_Integer Storage_IndexedDataMapNodeOfPType::myValue `[private]`

The documentation for this class was generated from the following file:

- Storage_IndexedDataMapNodeOfPType.hxx